! Functiile: fk(u), dfk(u); ga(u,u1); dga(u,u1) =dga/du; dga1(u,u1) =dga/du1; p(t), dp(t)
! Ecuatia van der Pol
function fk(u)
use work

implicit real(8) (a-h, o-z)

fk =k*u	! k=1

end function fk

function dfk(u)
! Derivata lui fk
use work

implicit real(8) (a-h, o-z)

dfk =k

end function dfk

!---------------------------------------------------------
function ga(u,v)
use work

implicit real(8) (a-h, o-z)

ga =-zeta*(1-u*u)*v		! lambda =zeta
end function ga


function dga(u,v)
! Derivata lui ga cu u
use work

implicit real(8) (a-h, o-z)

dga =zeta*2*u*v

end function dga


function dga1(u,v)
! Derivata lui ga cu v
use work

implicit real(8) (a-h, o-z)

dga1 =-zeta*(1-u*u)

end function dga1


!---------------------------------------------------------

function p(t)
use work

implicit real(8) (a-h, o-z)

! Armonica:
p =p0*dcos(omp*t)

end function p



function dp(t)
use work

implicit real(8) (a-h, o-z)

! Armonica:
dp =-p0*omp*dsin(omp*t)

end function dp



